<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JavaScript: Level 0</title>
</head>

<body>

    <script>
        // Ex2
        let myPi = 3.14159;
        myPi = Math.PI;
        let myDoublePi = myPi * 2;
        console.log('Double PI value: ' + myDoublePi);

        // Ex3
        let myRandomNumber = parseInt(Math.random() * 100);
        console.log('My random number between 0 - 99: ' + myRandomNumber);

        // Ex4
        let mySecondRandomNumber = Math.round(Math.random() * 10);
        console.log(mySecondRandomNumber);

        // Ex5
        // alert('I am an annoying feature!');

        // Ex6
        // let isAdult = confirm('Please confirm you are over 18 years old!');
        // if (isAdult) {
        //     console.log('The user is over 18 years old.');
        // } else {
        //     console.log('The user is a minor.');
        // }

        // Ex7
        // let repeatCount = prompt('Palun sisesta number:');
        // for(let i = 0; i <= repeatCount; i++) {
        //     console.log(i);
        // }

        // Ex8
        // let repeatCount = prompt('Palun sisesta number:');
        // let i = 0;
        // while (i <= repeatCount) {
        //     console.log(i);
        //     i++;
        // }

        // Ex9
        // let repeatCount = prompt('Palun sisesta number:');
        // let i = 0;
        // do {
        //     if (i % 2 == 0) {
        //         console.log(i);
        //     }
        //     i++;
        // } while (i <= repeatCount);

        // Ex 10
        // let birthYear = parseInt(prompt('Palun sisesta sünniaasta:'));
        // let birthMonth = parseInt(prompt('Palun sisesta sünnikuu:'));
        // let birthDate = parseInt(prompt('Palun sisesta sünnikuupäev:'));

        // let currentDate = new Date();
        // let currentYear = currentDate.getFullYear();
        // let currentMonth = currentDate.getMonth() + 1;
        // let currentDay = currentDate.getDate();

        // let isAdult2 = false;

        // if ((currentYear - birthYear) > 18) {
        //     isAdult2 = true;
        // } else if ((currentYear - birthYear) === 18) {

        //     if (currentMonth > birthMonth) {
        //         isAdult2 = true;
        //     } else if (currentMonth === birthMonth) {

        //         if (currentDay >= birthDate) {
        //             isAdult2 = true;
        //         } else {
        //             isAdult2 = false;
        //         }

        //     } else {
        //         isAdult2 = false;
        //     }

        // } else {
        //     isAdult2 = false;
        // }

        // console.log("Inimene on täiealine? " + isAdult2);

        // Ex 11
        // let firstName = prompt('Eesnimi:');
        // let lastName = prompt('Perenimi:');
        // let profession = prompt('Elukutse:');

        // console.log('-----------------------');
        // console.log('Isikuandmed:');
        // console.log(`Eesnimi: ${firstName.toUpperCase()}`);
        // console.log(`Perenimi: ${lastName.toUpperCase()}`);
        // console.log(`Elukutse: ${profession.toUpperCase()}`);
        // console.log('-----------------------');
    </script>
</body>

</html>